package dev.shadowsoffire.apotheosis.adventure.compat;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import dev.shadowsoffire.apotheosis.util.CommonTooltipUtil;
import dev.shadowsoffire.placebo.compat.TOPCompat;
import java.util.Objects;
import mcjty.theoneprobe.api.IProbeHitEntityData;
import mcjty.theoneprobe.api.IProbeInfo;
import mcjty.theoneprobe.api.ProbeMode;
import net.minecraft.world.entity.Entity;
import net.minecraft.world.entity.LivingEntity;
import net.minecraft.world.entity.player.Player;
import net.minecraft.world.level.Level;

public class AdventureTOPPlugin implements TOPCompat.Provider {
  public static void register() {
    TOPCompat.registerProvider(new dev.shadowsoffire.apotheosis.adventure.compat.AdventureTOPPlugin());
  }
  
  public void addProbeEntityInfo(ProbeMode mode, IProbeInfo info, Player player, Level level, Entity entity, IProbeHitEntityData hitData) {
    if (entity instanceof LivingEntity) {
      LivingEntity living = (LivingEntity)entity;
      if (living.getPersistentData().m_128471_("apoth.boss")) {
        Objects.requireNonNull(info);
        CommonTooltipUtil.appendBossData(living.m_9236_(), living, info::mcText);
      } 
    } 
  }
}
